<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Chat App</title>
    <link rel="icon" href="/img/favicon.png">
    <link rel="stylesheet" href="/css/styles.min.css">
</head>

<body>
    <div class="chat">
        <div id="sidebar" class="chat__sidebar">

        </div>
        <div class="chat__main">
            <div id="messages" class="chat__messages"></div>

            <div class="compose">
                <form id="message-form">
                    <input id="messageInput" name="message" type="text" placeholder="Message" required
                        autocomplete="off">
                    <button id="submit-button">Send</button>
                </form>
                <button id="send-location">Send location</button>
            </div>
        </div>
    </div>


    <!-- Message template -->
    <script id="message-template" type="text/html">
        <div class="message">
            <p>
                <span class="message__name">{{username}}</span>
                <span class="message___meta">{{createdAt}}</span>
            </p>
            <p>{{message}}</p>
        </div>
    </script>

    <!-- Location message template -->
    <script id="location-message-template" type="text/html">
        <div class="message">
            <p>
                <span class="message__name">{{username}}</span>
                <span class="message___meta">{{createdAt}}</span>
            </p>
            <p><a href="{{url}}" target="_blank">My current location</a></p>
        </div>
    </script>

    <!-- Users list template -->
    <script id="sidebar-template" type="text/html">
        <h2 class="room-title">{{room}}</h2>
        <h3 class="list-title">Users</h3>
        <ul class="users">
            {{#users}}
            <li>{{username}}</li>
            {{/users}}
        </ul>
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/mustache.js/3.0.1/mustache.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/qs/6.6.0/qs.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script src="/js/chat.js"></script>
</body>

</html>